swagger: "2.0"
info:
  title: beego Test API
  description: |
    beego has a very cool tools to autogenerate documents for your API
  version: 1.0.0
  termsOfService: http://beego.me/
  contact:
    email: astaxie@gmail.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
basePath: /edbapi
paths:
  /baiinfo/add:
    post:
      tags:
      - baiinfo
      description: |-
        新增Baiinfo指标接口
        <br>
      operationId: BaiinfoController.新增Baiinfo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /baiinfo/refresh:
    post:
      tags:
      - baiinfo
      description: |-
        刷新baiinfo指标接口
        <br>
      operationId: BaiinfoController.刷新baiinfo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /calculate/add:
    post:
      tags:
      - calculate
      description: |-
        新增计算指标接口
        <br>
      operationId: CalculateController.新增计算指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EdbInfoCalculateSaveReq'
  /calculate/adjust/save:
    post:
      tags:
      - calculate
      description: |-
        保存数据调整指标接口
        <br>
      operationId: CalculateController.保存数据调整指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.SaveAdjustEdbReq'
  /calculate/batch/edit:
    post:
      tags:
      - calculate
      description: |-
        累计值转月-同比值-同差等计算新增接口
        <br>
      operationId: CalculateController.累计值转月-同比值-同差等计算新增
      parameters:
      - in: body
        name: request
        description: type json string
        required: true
        schema:
          $ref: '#/definitions/models.EdbInfoCalculateBatchSaveReq'
      responses:
        Ret=200:
          description: 返回指标id
  /calculate/batch/save:
    post:
      tags:
      - calculate
      description: |-
        累计值转月-同比值-同差等计算新增接口
        <br>
      operationId: CalculateController.累计值转月-同比值-同差等计算新增
      parameters:
      - in: body
        name: request
        description: type json string
        required: true
        schema:
          $ref: '#/definitions/models.EdbInfoCalculateBatchSaveReq'
      responses:
        Ret=200:
          description: 返回指标id
  /calculate/edit:
    post:
      tags:
      - calculate
      description: |-
        编辑计算指标接口
        <br>
      operationId: CalculateController.编辑计算指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EdbInfoCalculateSaveReq'
  /calculate/refresh:
    post:
      tags:
      - calculate
      description: |-
        刷新计算指标接口
        <br>
      operationId: CalculateController.刷新计算指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /cffex/add:
    post:
      tags:
      - cffex
      description: |-
        新增中金所指标接口
        <br>
      operationId: CffexController.新增中金所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /cffex/refresh:
    post:
      tags:
      - cffex
      description: |-
        刷新中金所指标接口
        <br>
      operationId: CffexController.刷新中金所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /coal/add:
    post:
      tags:
      - coal
      description: |-
        新增煤炭网指标接口
        <br>
      operationId: CoalController.新增煤炭网指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /coal/refresh:
    post:
      tags:
      - coal
      description: |-
        刷新中国煤炭网指标接口
        <br>
      operationId: CoalController.刷新中国煤炭网指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /com_trade/add:
    post:
      tags:
      - com_trade
      description: |-
        新增Eia Steo指标接口
        <br>
      operationId: ComTradeController.新增Eia Steo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /com_trade/refresh:
    post:
      tags:
      - com_trade
      description: |-
        刷新Eia Steo指标接口
        <br>
      operationId: ComTradeController.刷新Eia Steo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /dl/add:
    post:
      tags:
      - dl
      description: |-
        新增大商所指标接口
        <br>
      operationId: DlController.新增大商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /dl/refresh:
    post:
      tags:
      - dl
      description: |-
        刷新大商所指标接口
        <br>
      operationId: DlController.刷新大商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /eia_steo/add:
    post:
      tags:
      - eia_steo
      description: |-
        新增Eia Steo指标接口
        <br>
      operationId: EiaSteoController.新增Eia Steo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /eia_steo/refresh:
    post:
      tags:
      - eia_steo
      description: |-
        刷新Eia Steo指标接口
        <br>
      operationId: EiaSteoController.刷新Eia Steo指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /fubao/add:
    post:
      tags:
      - fubao
      description: |-
        新增富宝指标接口
        <br>
      operationId: FuBaoController.新增富宝指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /fubao/refresh:
    post:
      tags:
      - fubao
      description: |-
        刷新路透社指标接口
        <br>
      operationId: FuBaoController.刷新富宝指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /future_good/add:
    post:
      tags:
      - future_good
      description: |-
        新增wind指标接口
        <br>
      operationId: FutureGoodEdbInfoController.新增wind商品指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /future_good/refresh:
    post:
      tags:
      - future_good
      description: |-
        刷新wind指标接口
        <br>
      operationId: FutureGoodEdbInfoController.刷新wind期货数据指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /future_good/relation/refresh:
    post:
      tags:
      - future_good
      description: |-
        刷新商品期货指标相关的接口
        <br>
      operationId: FutureGoodEdbInfoController.刷新商品期货指标相关的接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /gie/add:
    post:
      tags:
      - gie
      description: |-
        新增欧洲天然气指标接口
        <br>
      operationId: GieController.新增欧洲天然气指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /gie/refresh:
    post:
      tags:
      - gie
      description: |-
        刷新欧洲天然气指标接口
        <br>
      operationId: GieController.刷新欧洲天然气指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /google_travel/add:
    post:
      tags:
      - google_travel
      description: |-
        新增谷歌出行数据接口
        <br>
      operationId: GoogleTravelController.新增谷歌出行数据接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /google_travel/refresh:
    post:
      tags:
      - google_travel
      description: |-
        刷新谷歌出行指标接口
        <br>
      operationId: GoogleTravelController.刷新谷歌出行指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /lt/add:
    post:
      tags:
      - lt
      description: |-
        新增路透指标接口
        <br>
      operationId: LtController.新增路透指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /lt/refresh:
    post:
      tags:
      - lt
      description: |-
        刷新路透社指标接口
        <br>
      operationId: LtController.刷新路透社指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /lz/add:
    post:
      tags:
      - lz
      description: |-
        新增隆众指标接口
        <br>
      operationId: LzController.新增隆众指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /lz/refresh:
    post:
      tags:
      - lz
      description: |-
        刷新隆众指标接口
        <br>
      operationId: LzController.刷新隆众指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /manual/add:
    post:
      tags:
      - manual
      description: |-
        新增手工指标接口
        <br>
      operationId: ManualController.新增手工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /manual/refresh:
    post:
      tags:
      - manual
      description: |-
        刷新手工指标接口
        <br>
      operationId: ManualController.刷新手工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /mysteel/add:
    post:
      tags:
      - mysteel
      description: |-
        新增钢联指标接口
        <br>
      operationId: MySteelController.新增钢联指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /mysteel/query/refresh:
    get:
      tags:
      - mysteel
      description: |-
        查询刷新指标的接口
        <br>
      operationId: MySteelController.查询刷新指标的接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.CheckDeleteClassifyResp'
  /mysteel/refresh:
    post:
      tags:
      - mysteel
      description: |-
        刷新钢联指标接口
        <br>
      operationId: MySteelController.刷新钢联指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /mysteel_chemical/add:
    post:
      tags:
      - mysteel_chemical
      description: |-
        新增钢联化工指标接口
        <br>
      operationId: MySteelChemicalController.新增钢联化工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /mysteel_chemical/refresh:
    post:
      tags:
      - mysteel_chemical
      description: |-
        刷新钢联化工指标接口
        <br>
      operationId: MySteelChemicalController.刷新钢联化工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /national_statistics/add:
    post:
      tags:
      - national_statistics
      description: |-
        新增指标
        <br>
      operationId: NationalStatisticsController.新增指标
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /national_statistics/refresh:
    post:
      tags:
      - national_statistics
      description: |-
        刷新指标
        <br>
      operationId: NationalStatisticsController.刷新指标
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /pb/add:
    post:
      tags:
      - pb
      description: |-
        新增彭博指标接口
        <br>
      operationId: PbController.新增彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /pb/refresh:
    post:
      tags:
      - pb
      description: |-
        刷新彭博指标接口
        <br>
      operationId: PbController.刷新彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /pb_finance/add:
    post:
      tags:
      - pb_finance
      description: |-
        新增彭博指标接口
        <br>
      operationId: PbFinanceController.新增彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /pb_finance/refresh:
    post:
      tags:
      - pb_finance
      description: |-
        刷新彭博指标接口
        <br>
      operationId: PbFinanceController.刷新彭博指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /predict/refresh:
    post:
      tags:
      - predict
      description: |-
        刷新预测指标接口（有些预测指标里面含有动态数据）
        <br>
      operationId: PredictController.刷新预测指标接口（有些预测指标里面含有动态数据）
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /predict/save:
    post:
      tags:
      - predict
      description: |-
        新增预测指标运算接口
        <br>
      operationId: PredictController.新增/编辑预测指标运算接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EdbInfoCalculateSaveReq'
  /predict_calculate/batch/save:
    post:
      tags:
      - predict_calculate
      description: |-
        累计值转月-同比值-同差等计算新增接口
        <br>
      operationId: PredictCalculateController.累计值转月-同比值-同差等计算新增
      parameters:
      - in: body
        name: request
        description: type json string
        required: true
        schema:
          $ref: '#/definitions/models.EdbInfoCalculateBatchSaveReq'
      responses:
        Ret=200:
          description: 返回指标id
  /predict_calculate/refresh:
    post:
      tags:
      - predict_calculate
      description: |-
        刷新计算指标接口
        <br>
      operationId: PredictCalculateController.刷新计算指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /predict_calculate/save:
    post:
      tags:
      - predict_calculate
      description: |-
        新增预测指标运算接口
        <br>
      operationId: PredictCalculateController.新增/编辑预测指标运算接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EdbInfoCalculateSaveReq'
  /python/add:
    post:
      tags:
      - python
      description: |-
        编辑指标接口
        <br>
      operationId: PythonController.编辑指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EditEdbInfoReq'
  /python/edit:
    post:
      tags:
      - python
      description: |-
        编辑指标接口
        <br>
      operationId: PythonController.编辑指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.EditEdbInfoReq'
  /python/exec:
    post:
      tags:
      - python
      description: |-
        执行python代码接口
        <br>
      operationId: PythonController.执行python代码接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.ExecPythonEdbReq'
  /sci/add:
    post:
      tags:
      - sci
      description: |-
        新增Sci指标接口
        <br>
      operationId: SciController.新增Sci指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /sci/refresh:
    post:
      tags:
      - sci
      description: |-
        刷新sci指标接口
        <br>
      operationId: SciController.刷新sci指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /sh/add:
    post:
      tags:
      - sh
      description: |-
        新增上期所指标接口
        <br>
      operationId: ShController.新增上期所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /sh/refresh:
    post:
      tags:
      - sh
      description: |-
        刷新上期所指标接口
        <br>
      operationId: ShController.刷新上期所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /shfe/add:
    post:
      tags:
      - shfe
      description: |-
        新增上期能源指标接口
        <br>
      operationId: ShfeController.新增上期能源指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /shfe/refresh:
    post:
      tags:
      - shfe
      description: |-
        刷新上期能源指标接口
        <br>
      operationId: ShfeController.刷新上期能源指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /smm/add:
    post:
      tags:
      - smm
      description: |-
        新增有色指标接口
        <br>
      operationId: SmmController.新增有色指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /smm/refresh:
    post:
      tags:
      - smm
      description: |-
        刷新有色指标接口
        <br>
      operationId: SmmController.刷新有色指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /stock_plant/calculate:
    post:
      tags:
      - stock_plant
      description: |-
        计算减产数
        <br>
      operationId: StockPlantController.计算减产数
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/supply_analysis.CalculateVarietyReq'
  /stock_plant/refresh:
    post:
      tags:
      - stock_plant
      description: |-
        刷新手工指标接口
        <br>
      operationId: StockPlantController.刷新手工指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /ths/add:
    post:
      tags:
      - ths
      description: |-
        新增同花顺指标接口
        <br>
      operationId: ThsController.新增同花顺指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /ths/refresh:
    post:
      tags:
      - ths
      description: |-
        刷新同花顺指标接口
        <br>
      operationId: ThsController.刷新同花顺指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /wind/add:
    post:
      tags:
      - wind
      description: |-
        新增wind指标接口
        <br>
      operationId: WindController.新增wind指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /wind/refresh:
    post:
      tags:
      - wind
      description: |-
        刷新wind指标接口
        <br>
      operationId: WindController.刷新wind指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
  /zz/add:
    post:
      tags:
      - zz
      description: |-
        新增郑商所指标接口
        <br>
      operationId: ZzController.新增郑商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.AddEdbInfoReq'
  /zz/refresh:
    post:
      tags:
      - zz
      description: |-
        刷新郑商所指标接口
        <br>
      operationId: ZzController.刷新郑商所指标接口
      responses:
        "200":
          description: ""
          schema:
            $ref: '#/definitions/models.RefreshEdbInfoReq'
definitions:
  models.AddEdbInfoReq:
    title: AddEdbInfoReq
    type: object
    properties:
      EdbCode:
        description: 指标编码
        type: string
  models.CheckDeleteClassifyResp:
    title: CheckDeleteClassifyResp
    type: object
  models.EdbInfoCalculateBatchSaveReq:
    title: EdbInfoCalculateBatchSaveReq
    type: object
    properties:
      AdminId:
        description: 添加人id
        type: integer
        format: int64
      AdminName:
        description: 添加人名称
        type: string
      CalculateFormula:
        description: 计算公式
        type: string
      Calendar:
        description: 公历/农历
        type: string
      ClassifyId:
        description: 分类id
        type: integer
        format: int64
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      EdbInfoIdArr:
        description: 关联指标列表
        type: array
        items:
          $ref: '#/definitions/models.EdbInfoCalculateEdbInfoIdReq'
      EdbName:
        description: 指标名称
        type: string
      Formula:
        description: N值/移动天数
        type: string
      Frequency:
        description: 频度
        type: string
      FromEdbInfoId:
        description: 计算来源指标id
        type: integer
        format: int64
      MoveFrequency:
        description: 移动频度:天/周/月/季/年
        type: string
      MoveType:
        description: 移动方式:1:领先(默认),2:滞后
        type: integer
        format: int64
      Source:
        description: 来源:1:同花顺,2:wind,3:彭博,4:指标运算,5:累计值转月,6:同比值,7:同差值,8:N数值移动平均计算,12:环比值,13:环差值,14:升频
        type: integer
        format: int64
      Unit:
        description: 单位
        type: string
  models.EdbInfoCalculateEdbInfoIdReq:
    title: EdbInfoCalculateEdbInfoIdReq
    type: object
    properties:
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      FromTag:
        description: 指标对应标签
        type: string
      MoveValue:
        description: 移动的值
        type: integer
        format: int64
  models.EdbInfoCalculateSaveReq:
    title: EdbInfoCalculateSaveReq
    type: object
    properties:
      AdminId:
        description: 添加人id
        type: integer
        format: int64
      AdminName:
        description: 添加人名称
        type: string
      CalculateFormula:
        description: 计算公式
        type: string
      ClassifyId:
        description: 分类id
        type: integer
        format: int64
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      EdbInfoIdArr:
        type: array
        items:
          $ref: '#/definitions/models.EdbInfoFromTag'
      EdbName:
        description: 指标名称
        type: string
      Frequency:
        description: 频率
        type: string
      Unit:
        description: 单位
        type: string
  models.EdbInfoFromTag:
    title: EdbInfoFromTag
    type: object
    properties:
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      FromTag:
        description: 指标对应标签
        type: string
  models.EditEdbInfoReq:
    title: EditEdbInfoReq
    type: object
  models.ExecPythonEdbReq:
    title: ExecPythonEdbReq
    type: object
    properties:
      PythonCode:
        description: python代码
        type: string
  models.RefreshEdbInfoReq:
    title: RefreshEdbInfoReq
    type: object
    properties:
      EdbCode:
        description: 指标编码
        type: string
      EdbInfoId:
        description: 指标ID
        type: integer
        format: int64
      StartDate:
        description: 开始日期
        type: string
  models.SaveAdjustEdbDataReq:
    title: SaveAdjustEdbDataReq
    type: object
    properties:
      Date:
        description: 数据日期
        type: string
      Value:
        description: 数据值
        type: number
        format: double
  models.SaveAdjustEdbReq:
    title: SaveAdjustEdbReq
    type: object
    properties:
      AdminId:
        description: 添加人id
        type: integer
        format: int64
      AdminName:
        description: 添加人名称
        type: string
      ClassifyId:
        description: 分类id
        type: integer
        format: int64
      DataList:
        description: 指标对应的数据值
        type: array
        items:
          $ref: '#/definitions/models.SaveAdjustEdbDataReq'
      EdbInfoId:
        description: 指标id
        type: integer
        format: int64
      EdbName:
        description: 指标名称
        type: string
      Frequency:
        description: 频度
        type: string
      FromEdbInfoId:
        description: 来源指标id
        type: integer
        format: int64
      Unit:
        description: 单位
        type: string
  supply_analysis.CalculateVarietyReq:
    title: CalculateVarietyReq
    type: object
    properties:
      AdminId:
        description: 操作人id
        type: integer
        format: int64
      AdminName:
        description: 操作人名称
        type: string
      VarietyId:
        description: 品种id
        type: integer
        format: int64
tags:
- name: ths
  description: |
    同花顺
- name: pb
  description: |
    彭博
- name: pb_finance
  description: |
    PbFinanceController 彭博财务
- name: wind
  description: |
    wind
- name: lz
  description: |
    隆众
- name: lt
  description: |
    路透社
- name: smm
  description: |
    有色
- name: mysteel
  description: |
    钢联
- name: manual
  description: |
    手工指标
- name: calculate
  description: |
    CalculateController 计算指标
- name: zz
  description: |
    郑商所
- name: dl
  description: |
    大商所
- name: sh
  description: |
    上期所
- name: cffex
  description: |
    中金所
- name: shfe
  description: |
    上期能源
- name: gie
  description: |
    欧洲天然气
- name: coal
  description: |
    中国煤炭网
- name: python
  description: |
    PythonController 计算指标
- name: google_travel
  description: |
    谷歌出行数据
- name: mysteel_chemical
  description: |
    MySteelChemicalController 钢联化工
- name: predict_calculate
  description: |
    PredictCalculateController 预测计算指标
- name: eia_steo
  description: |
    EiaSteoController Eia Steo报告
- name: predict
  description: |
    PredictController 预测指标
- name: future_good
  description: |
    FutureGoodEdbInfoController 期货数据
- name: sci
  description: |
    有色
- name: com_trade
  description: |
    ComTradeController Eia Steo报告
- name: baiinfo
  description: |
    百川盈孚
- name: stock_plant
  description: |
    StockPlantController 存量装置
- name: national_statistics
  description: |
    NationalStatisticsController 国家统计局
- name: fubao
  description: |
    富宝-数据对接
